#!/usr/bin/lua
-- combo.lua  :  combobox test

-- Note that the combobox must have at least one line set in General/Items
-- in order to allow the append_text, insert_text... methods to work.
-- It is OK to remove it immediately after G.make_gui()

require "luaglade"

function on_addbut_clicked()
	entry = ui.entry1.get_text()
	ui.combobox1.append_text(entry)
end

function on_clearbut_clicked()
	ui.combobox1.remove_text(2)
end

function on_combobox1_changed()
	print("selected", ui.combobox1.get_active_text(), "ID", ui.combobox1.get_active())
end

ui = G.make_gui("combo.glade")
ui.combobox1.remove_text(0)
for _,str in pairs({"alpha","bravo","charlie","delta","epsilon","foxtrot"}) do
	ui.combobox1.append_text(str)
end
ui.combobox1.set_active(3)
G.gtk_main()
