#!/usr/bin/lua
-- timeouts.lua  :  Loads of timeouts

require "luaglade"
udata = 42  -- starting value; each timeout gets its own udata
active_timeouts = {}   -- an array of GTK ids of active timeouts

function timecb(ud)
	io.write("timeout with userdata ", ud, " goes tick!\n")
	return true
end

function on_button_clicked()
	active_timeouts[#active_timeouts+1] = G.add_timeout(1000, timecb, udata)
	io.write("have set timeout with user data ", udata, "\n")
	udata = udata + 1
	G.set_cursor(ui.button1, G.GDK_WATCH)
end

-- Remove the most recently added timeout
function on_kill_timeout()
	r = G.remove_timeout(active_timeouts[#active_timeouts])
	active_timeouts[#active_timeouts] =  nil
	G.set_cursor(ui.button1, G.GDK_LEFT_PTR)  -- GDK_LEFT_PTR  is xfwm default
	if r then
		print "Removed timeout"
	else
		print "No more timeouts to remove"
	end
end

ui = G.make_gui("timeouts.glade")

-- Make sure we put cursor back when we leave (even if an error occurred)
pcall( G.gtk_main )
G.set_cursor(ui.button1, G.GDK_LEFT_PTR)
G.do_events()
